Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cnrg.itx.datax.jaudio
Class JAudioBlock

    java.lang.Object
      |
      +--cnrg.itx.datax.jaudio.QueueElement
            |
            +--cnrg.itx.datax.jaudio.JAudioBlock

public class JAudioBlock
extends QueueElement

Field Summary
`private byte[]` | `data`
`private int` | `desiredLength`
`private boolean` | `finished`
`private java.lang.Object` | `finishedLock`
`private JAudioBlock` | `jabNext`
`private boolean` | `used`
`private java.lang.Object` | `usedLock`
`private int` | `wpData`
`protected int` | `wpHeader`

Fields inherited from class cnrg.itx.datax.jaudio.QueueElement
`mNext, mObj`

Constructor Summary
`private` | `JAudioBlock()`
`` | `JAudioBlock(byte[] data)`
`` | `JAudioBlock(int newDesiredLength)`

Method Summary
`java.lang.Object` | `clone()`
`private void` | `copyDataN()`
`private void` | `freeN()`
`byte[]` | `getData()`
`JAudioBlock` | `getNext()`
`protected boolean` | `grabUsedInLock()`
`protected boolean` | `grabUsedOutLock()`
`protected void` | `markAsFinished()`
`void` | `setData(byte[] b)`
`void` | `setNext(JAudioBlock jabNext)`
`void` | `waitUntilFinished()`

Methods inherited from class cnrg.itx.datax.jaudio.QueueElement
`GetNext, GetObject, SetNext, SetObject`

Methods inherited from class java.lang.Object
`, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### jabNext

    private JAudioBlock jabNext

### data

    private byte[] data

### desiredLength

    private int desiredLength

### wpHeader

    protected int wpHeader

### wpData

    private int wpData

### used

    private boolean used

### finished

    private boolean finished

### usedLock

    private transient java.lang.Object usedLock

### finishedLock

    private transient java.lang.Object finishedLock

Constructor Detail

### JAudioBlock

    private JAudioBlock()

### JAudioBlock

    public JAudioBlock(byte[] data)
                throws JAudioException

### JAudioBlock

    public JAudioBlock(int newDesiredLength)
                throws JAudioException

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    clone in class java.lang.Object

### waitUntilFinished

    public void waitUntilFinished()
                           throws java.lang.InterruptedException

### freeN

    private void freeN()

### copyDataN

    private void copyDataN()

### getData

    public byte[] getData()

### setData

    public void setData(byte[] b)

### setNext

    public void setNext(JAudioBlock jabNext)

### getNext

    public JAudioBlock getNext()

### markAsFinished

    protected void markAsFinished()

### grabUsedOutLock

    protected boolean grabUsedOutLock()

### grabUsedInLock

    protected boolean grabUsedInLock()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD